Show / Hide Table of Contents

# Class SymbolInformation

##### Inheritance

System.Object
SymbolInformation

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SymbolInformation

### Properties

| Improve this Doc View Source

#### ContainerName

##### Declaration

    public string ContainerName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Kind

##### Declaration

    public SymbolKind Kind { get; set; }

##### Property Value

Type | Description
--- | ---
SymbolKind |

| Improve this Doc View Source

#### Location

##### Declaration

    public Location Location { get; set; }

##### Property Value

Type | Description
--- | ---
Location |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |